// Copyright 2005 Konrad Twardowski
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//   http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

package org.makagiga.common;

import java.util.Comparator;

/** A @c String comparator. */
public final class StringComparator implements Comparator<String> {

	// public

	/**
	 * Compares two strings using the @c compareTo function.
	 * @param o1 A string 1
	 * @param o2 A string 2
	 */
	public int compare(String o1, String o2) {
		return o1.compareTo(o2);
	}

}
