#!/bin/sh

# Unpacks *.pack.gz files to *.jar

if [ -f "makagiga.jar" ]; then
	exit
fi

function unpack_jar() {
	IN_FILE="${1}.pack.gz"
	OUT_FILE="${1}.jar"
	echo "Unpacking '${IN_FILE}.pack.gz' to '${OUT_FILE}'..."
	unpack200 --remove-pack-file "${IN_FILE}" "${OUT_FILE}"
}

unpack_jar "i18n"
unpack_jar "images"
unpack_jar "makagiga"
